zenilib: zenilib/jni/external/sdl/src/events/SDL_mouse_c.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
SDL_mouse_c.h File Reference
`#include "SDL_config.h"`
`#include "SDL_mouse.h"`

Go to the source code of this file.

## Classes

struct | SDL_Cursor
struct | SDL_Mouse

## Typedefs

typedef Uint32 | SDL_MouseID

## Functions

SDL_Mouse * | SDL_GetMouse (void)
int | SDL_MouseInit (void)
void | SDL_MouseQuit (void)
int | SDL_SendMouseButton (SDL_Window *window, SDL_MouseID mouseID, Uint8 state, Uint8 button)
int | SDL_SendMouseMotion (SDL_Window *window, SDL_MouseID mouseID, int relative, int x, int y)
int | SDL_SendMouseWheel (SDL_Window *window, SDL_MouseID mouseID, int x, int y)
void | SDL_SetDefaultCursor (SDL_Cursor *cursor)
void | SDL_SetMouseFocus (SDL_Window *window)

## Typedef Documentation

typedef Uint32 SDL_MouseID

Definition at line 28 of file SDL_mouse_c.h.

## Function Documentation

SDL_Mouse* SDL_GetMouse | ( | void |  | ) |

Definition at line 62 of file SDL_mouse.c.

References SDL_mouse.

Referenced by SDL_CreateColorCursor(), SDL_CreateSystemCursor(), SDL_FreeCursor(), SDL_GetCursor(), SDL_GetDefaultCursor(), SDL_GetMouseFocus(), SDL_GetMouseState(), SDL_GetRelativeMouseMode(), SDL_GetRelativeMouseState(), SDL_MouseInit(), SDL_MouseQuit(), SDL_OnWindowFocusGained(), SDL_PrivateSendMouseMotion(), SDL_ResetMouse(), SDL_SendMouseButton(), SDL_SendMouseMotion(), SDL_SendMouseWheel(), SDL_SetCursor(), SDL_SetDefaultCursor(), SDL_SetMouseFocus(), SDL_SetRelativeMouseMode(), SDL_ShowCursor(), SDL_UpdateMouseFocus(), and SDL_WarpMouseInWindow().

int SDL_MouseInit | ( | void |  | ) |

Definition at line 41 of file SDL_mouse.c.

References SDL_Mouse::cursor_shown, SDL_GetMouse(), and SDL_TRUE.

Referenced by SDL_VideoInit().

void SDL_MouseQuit | ( | void |  | ) |

Definition at line 360 of file SDL_mouse.c.

References SDL_Mouse::cursors, SDL_Mouse::def_cursor, SDL_Mouse::FreeCursor, SDL_Cursor::next, SDL_FreeCursor(), SDL_GetMouse(), SDL_ShowCursor(), and SDL_zerop.

Referenced by SDL_VideoQuit().

int SDL_SendMouseButton | ( | SDL_Window * | window,
|  | SDL_MouseID | mouseID,
|  | Uint8 | state,
|  | Uint8 | button
| ) |  |

Definition at line 276 of file SDL_mouse.c.

References SDL_Mouse::buttonstate, SDL_Mouse::focus, SDL_Window::id, SDL_BUTTON, SDL_ENABLE, SDL_GetEventState, SDL_GetMouse(), SDL_MOUSEBUTTONDOWN, SDL_MOUSEBUTTONUP, SDL_PRESSED, SDL_PushEvent(), SDL_RELEASED, SDL_UpdateMouseFocus(), SDL_Mouse::x, and SDL_Mouse::y.

Referenced by SDL_ResetMouse().

int SDL_SendMouseMotion | ( | SDL_Window * | window,
|  | SDL_MouseID | mouseID,
|  | int | relative,
|  | int | x,
|  | int | y
| ) |  |

Definition at line 178 of file SDL_mouse.c.

References SDL_Mouse::buttonstate, SDL_GetMouse(), SDL_PrivateSendMouseMotion(), and SDL_UpdateMouseFocus().

Referenced by SDL_WarpMouseInWindow().

int SDL_SendMouseWheel | ( | SDL_Window * | window,
|  | SDL_MouseID | mouseID,
|  | int | x,
|  | int | y
| ) |  |

Definition at line 332 of file SDL_mouse.c.

References SDL_Mouse::focus, SDL_Window::id, SDL_ENABLE, SDL_GetEventState, SDL_GetMouse(), SDL_MOUSEWHEEL, SDL_PushEvent(), and SDL_SetMouseFocus().

void SDL_SetDefaultCursor | ( | SDL_Cursor * | cursor | ) |

Definition at line 51 of file SDL_mouse.c.

References SDL_Mouse::cur_cursor, SDL_Mouse::def_cursor, SDL_GetMouse(), and SDL_SetCursor().

void SDL_SetMouseFocus | ( | SDL_Window * | window | ) |

Definition at line 93 of file SDL_mouse.c.

References SDL_Mouse::focus, NULL, SDL_GetMouse(), SDL_ResetMouse(), SDL_SendWindowEvent(), SDL_SetCursor(), SDL_WINDOWEVENT_ENTER, and SDL_WINDOWEVENT_LEAVE.

Referenced by SDL_DestroyWindow(), SDL_OnWindowFocusGained(), SDL_SendMouseWheel(), SDL_SetRelativeMouseMode(), and SDL_UpdateMouseFocus().